pub mod init;
pub mod peer;
pub mod tun;
pub mod udp;
use std::path::Path;

fn main() {
    match init::parse_config(Path::new("example.yml")) {
        Ok(c) => {
            println!("{:?}", c);
        }
        Err(e) => {
            println!("{:?}", e);
            panic!("Could not read config file");
        }
    }
}
